/* $Id: def_addr.h,v 2.1 2008/04/27 10:42:19 hurtta Exp $ */

/******************************************************************************
 *  The Elm (ME+) Mail System  -  $Revision: 2.1 $   $State: Exp $
 *
 *  Author: Kari Hurtta <hurtta+elm@posti.FMI.FI>
 *      or  Kari Hurtta <elm@elmme-mailer.org>
 *****************************************************************************/

#include "elm_defs.h"
#include "addrlib.h"

extern char *scanned_to_str P_((char **scanned));

/* ------------------------------------------------------------------ */

/* address routines */

extern struct address * dup_address P_((const struct address *addr));


/* ------------------------------------------------------------------- */

/* message-id routines */


extern const char * message_id_left P_((const struct message_id  *id));
extern const char * message_id_domain P_((const struct message_id  *id));

/*
 * Local Variables:
 *  mode:c
 *  c-basic-offset:4
 *  buffer-file-coding-system: iso-8859-1
 * End:
 */

